Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.datepicker.client
Class CellGridImpl.Cell

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.datepicker.client.CellGridImpl.Cell

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget

Direct Known Subclasses:
  DefaultCalendarView.CellGrid.DateCell

Enclosing class:
  CellGridImpl<V>

    abstract class CellGridImpl.Cell

extends Widget

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`CellGridImpl.Cell(Element elem, V value)`
`CellGridImpl.Cell(V value)`

Method Summary
`V` | `getValue()`
`boolean` | `isEnabled()`
`boolean` | `isHighlighted()`
`boolean` | `isSelected()`
`protected CellGridImpl.Cell` | `nextItem()`
`protected void` | `onEnabled(boolean enabled)`
`protected void` | `onHighlighted(boolean highlighted)`
`protected void` | `onSelected(boolean selected)`
`protected CellGridImpl.Cell` | `previousItem()`
`void` | `setEnabled(boolean enabled)`
`protected abstract void` | `updateStyle()`
`void` | `verticalNavigation(int keyCode)`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellGridImpl.Cell

    CellGridImpl.Cell(V value)

### CellGridImpl.Cell

    CellGridImpl.Cell(Element elem,
                      V value)

Method Detail

### getValue

    public V getValue()

### isEnabled

    public boolean isEnabled()

### isHighlighted

    public boolean isHighlighted()

### isSelected

    public boolean isSelected()

### setEnabled

    public final void setEnabled(boolean enabled)

### verticalNavigation

    public void verticalNavigation(int keyCode)

### nextItem

    protected CellGridImpl.Cell nextItem()

### onEnabled

    protected void onEnabled(boolean enabled)

  Parameters:
    `enabled` -

### onHighlighted

    protected void onHighlighted(boolean highlighted)

  Parameters:
    `highlighted` -

### onSelected

    protected void onSelected(boolean selected)

  Parameters:
    `selected` -

### previousItem

    protected CellGridImpl.Cell previousItem()

### updateStyle

    protected abstract void updateStyle()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD